<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:h="http://xmlns.jcp.org/jsf/html" xmlns:f="http://xmlns.jcp.org/jsf/core"
        xmlns:ui="http://xmlns.jcp.org/jsf/facelets" xmlns:p="http://xmlns.jcp.org/jsf/passthrough">
    <h:body role="document">
        <ui:composition template="../templates/main.xhtml">
            <ui:define name="metadata">
                <f:metadata>
                    <f:viewParam name="id" value="#{runController.id}" />
                    <f:viewParam name="offset" value="#{runController.offset}" />
                    <f:viewAction action="#{runController.load}" />
                </f:metadata>
            </ui:define>

            <ui:define name="title">${localized.titleRunAll}</ui:define>

            <ui:define name="content">
                <h1>
                    ${runController.harvester.name} <small>${localized.titleRunAll}</small>
                </h1>
                <div class="row">
                    <div class="col-md-8">
                        <h:form>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-sm-2">
										<h:link styleClass="btn btn-info" outcome="/public/showharvester?faces-redirect=true">
                                            <f:param name="id" value="#{runController.harvester.id}" />
											<i class="fa fa-eye fa-fw" /> ${localized.titleHarvesterSingular}
										</h:link>
									</div>
                                    <div class="col-sm-2">
										<h:commandLink styleClass="btn btn-danger" action="#{runController.cleanRuns}">
											<i class="fa fa-remove" /> ${localized.buttonMiscDeleteAll}
                                            <f:ajax render="runList statisticPanel" />
										</h:commandLink>
									</div>
								</div>
								<p/>
								<div class="row">
                                    <div class="col-sm-8">
                                        <div class="btn-group">
                                            <label class="btn btn-success">
                                                <h:selectBooleanCheckbox p:autocomplete="off" value="#{runController.successfulRuns}">
                                                    <f:ajax render="runList" />
                                                </h:selectBooleanCheckbox> ${localized.runStatusFinished}
                                            </label>
                                            <label class="btn btn-warning">
                                                <h:selectBooleanCheckbox p:autocomplete="off" value="#{runController.interruptedRuns}">
                                                    <f:ajax render="runList" />
                                                </h:selectBooleanCheckbox> ${localized.runStatusInterrupted}
                                            </label>
                                            <label class="btn btn-danger">
                                                <h:selectBooleanCheckbox p:autocomplete="off" value="#{runController.failedRuns}">
                                                    <f:ajax render="runList" />
                                                </h:selectBooleanCheckbox> ${localized.runStatusError}
                                            </label>
                                        </div>
                                    </div>
                                    <div class="col-sm-4 text-right">
                                        <div class="btn-group">
                                            <label class="btn btn-default">
                                                <h:selectBooleanCheckbox p:autocomplete="off" value="#{runController.groupByRunState}">
                                                    <f:ajax render="runList" />
                                                </h:selectBooleanCheckbox> ${localized.buttonRunGroupByStatus}
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <h:panelGroup id="runList">
                                <nav>
                                    <ul class="pager">
                                        <li class="previous ${runController.offset == 0 ? 'disabled' : ''}">
                                            <h:commandLink disabled="#{runController.offset == 0}" action="#{runController.previousPage}" p:aria-label="Previous">
                                                <i aria-hidden="true" class="fa fa-chevron-left" />
                                                <f:ajax render="runList" />
                                            </h:commandLink>
                                        </li>
                                        <ui:fragment rendered="${runController.rows > 0}">
                                            <span class="badge">${runController.offset + 1} - ${runController.offset + runController.rows} / ${runController.total}</span>
                                        </ui:fragment>
                                        <li class="next ${(runController.offset + runController.rows) >= runController.total ? 'disabled' : ''}">
                                            <h:commandLink disabled="#{(runController.offset + runController.rows) >= runController.total}" action="#{runController.nextPage}" p:aria-label="Next">
                                                <i aria-hidden="true" class="fa fa-chevron-right" />
                                                <f:ajax render="runList" />
                                            </h:commandLink>
                                        </li>
                                    </ul>
                                </nav>
                                <ui:repeat var="run" value="#{runController.runsBySelectedStates}">
                                    <ui:include src="../templates/runpanel.xhtml" />
                                </ui:repeat>
                                <nav>
                                    <ul class="pager">
                                        <li class="previous ${runController.offset == 0 ? 'disabled' : ''}">
                                            <h:commandLink disabled="#{runController.offset == 0}" action="#{runController.previousPage}" p:aria-label="Previous">
                                                <i aria-hidden="true" class="fa fa-chevron-left" />
                                                <f:ajax render="runList" />
                                            </h:commandLink>
                                        </li>
                                        <ui:fragment rendered="${runController.rows > 0}">
                                            <span class="badge">${runController.offset + 1} - ${runController.offset + runController.rows} / ${runController.total}</span>
                                        </ui:fragment>
                                        <li class="next ${(runController.offset + runController.rows) >= runController.total ? 'disabled' : ''}">
                                            <h:commandLink disabled="#{(runController.offset + runController.rows) >= runController.total}" action="#{runController.nextPage}" p:aria-label="Next">
                                                <i aria-hidden="true" class="fa fa-chevron-right" />
                                                <f:ajax render="runList" />
                                            </h:commandLink>
                                        </li>
                                    </ul>
                                </nav>
                            </h:panelGroup>
                        </h:form>
                    </div>
                    <div class="col-md-4">
                    	<h:panelGroup id="statisticPanel">
	                        <div class="panel panel-info">
	                            <div class="panel-heading">${localized.infoMiscPanelHeaderStatistics}</div>
	                            <ul class="list-group">
	                            	<li class="list-group-item">
	                            		${localized.labelRunTotal} <span class="badge">${runController.countCompletedRuns}</span>
	                            	</li>
	                            	<li class="list-group-item">
	                            		${localized.labelRunTotalNoErrors} <span class="badge">${runController.countRunsWithOutErrors}</span>
	                            	</li>
	                            	<li class="list-group-item">
	                            		${localized.labelRunTotalErrors} <span class="badge">${runController.countRunsWithErrors}</span>
	                            	</li>
	                            	<li class="list-group-item">
	                            		${localized.labelRunMostCommonError} <span class="badge">${runController.mostCommonError.label}</span>
	                            	</li>
	                                 <ui:fragment rendered="${runController.meanRunDuration ne null}">
	                                     <li class="list-group-item">
	                                         ${localized.labelRunTimeAVG} <span class="badge">${runController.meanRunDuration} ${localized.unitMinutePlural}</span>
	                                     </li>
	                                 </ui:fragment>
	                            </ul>
	                            <h:link outcome="runstats">
	                            <div class="panel-footer">
	                                ${localized.linkMiscVisualizeStats}
	                            </div>
	                            </h:link>
	                        </div>
                        </h:panelGroup>
                    </div>
                </div>
            </ui:define>
        </ui:composition>
    </h:body>
</html>